package com.gamepatriot.androidframework.framework;

/**
 * An AndroidGameData implementation should control dynamic variables associated with the application. Primarily, data that needs to be saved and loaded from the device's hard drive.
 * 
 * @author Pete Schmitz, May 8, 2013
 *
 */
public interface AndroidGameData {
	
	/** Save all dynamic variables. **/
	public void save();
	
	/** Load all dynamic variables. **/
	public void load();
	
	/** Clear all saved information to the path associated with this application. **/
	public void clear();
	
	/** Reset loaded and saved dynamic variables to default values. **/
	public void reset();
	
}
